/* styles.css by Demian Spindler */

* {
    margin: 0;
}

html, body {
    /*background-color: black;*/
    font-family: 'Josefin Sans', sans-serif;
    font-weight: 300;
    width: 100%;
    min-height: 100%;
    z-index: -1;
    background-image: url('images/backgrounds/dark_wall.jpg');
    /* background image from subtlepatterns.com */
}

body h2 {
    font-size: 28px;
    font-weight: 300;
}

body h3 {
    font-size: 20px;
    font-weight: 300;
}

#shadow {
    position: fixed;
    top: 0;
    height: 100%;
    width: 100%;
    /*background-color: #1E88E5;*/
    background-color: #333;
    opacity: 0;
    display: none;
}

#container {
    position: relative;
    max-width: 1200px;
    width: 90%;
    min-width: 600px;
    min-height: 500px;
    background-color: #000;
    margin: 0 auto 30px;
    box-shadow: 0 10px 50px #000;
    border-radius: 2px;
}

#header {
    position: relative;
    font-family: 'Alegreya Sans SC', sans-serif;
    width: 100%;
    height: 150px;
    /*background-color: #000;*/
    color: white;
    border-bottom: 5px solid #222;
}

#header h1 {
    margin: 0;
    font-size: 52px;
    font-weight: 100;
    padding-top: 30px;
    padding-left: 10px;
}

#header h2 {
    font-size: 28px;
    font-weight: 300;
    padding-left: 80px;
    margin-top: -10px;
    color: #aaa;
}

#pagetitle h1 {
    position: absolute;
    right: 10px;
    top: 43px;
    font-size: 80px;
    color: #fff;
}



#content {
    position: relative;
    /*background-color: #111;*/
    /*opacity: ;*/
    /*border-top: 5px solid #333;*/
    /*border-bottom: 5px solid #333;*/
}

#homepagelayout {
    padding: 0;
    position: absolute;
    /*max-width: 900px;*/
    width: 66.66%;
    max-height: 600px;
    height: 100%;
    overflow-y: scroll;
    top: 0;
    left: 33.33%;
    color: white;
}

#homepagelayout img {
    float: left;
}


#contenttext {
    padding: 2% 2.5% 2.5% 2.5%;
    position: absolute;
    max-width: 900px;
    width: 60%;
    max-height: 600px;
    height: 90%;
    overflow-y: scroll;
    top: 0;
    left: 33.33%;
    color: white;
    font-size: 19px;
    line-height: 130%;
}

#contenttext iframe {
    height: 35%;
    width: 35%;
    padding: 5px;
}


#scrollshadowbottom {
    position: absolute;
    bottom: 0;
    left: 33.33%;
    height: 100px;
    max-width: 900px;
    width: 66.66%;
    box-shadow: 0 -50px 50px #000 inset;
    z-index: 20;
}

#scrollshadowtop {
    position: absolute;
    top: 0;
    left: 33.33%;
    height: 50px;
    max-width: 900px;
    width: 66.66%;
    box-shadow: 0 20px 20px #000 inset;
    z-index: 20;
}

#contenttext a {
    text-decoration: none;
    color: white;
}

#contenttext a:hover {
    color: #AEB3B7;
}



#contenttext h1 {
    margin: 10px 0 10px;
}

#navcontainer {
    position: relative;
    display: inline-block;
    max-width: 400px;
    width: 33.33%;
}

#navcontainer img {
    width: 100%;
    /*border-radius: 2px;*/
    /*filter: grayscale(100%);*/
    /*-webkit-filter: grayscale(100%);*/
}

#navshadow {
    position: absolute;
    /*height: 290px;*/
    width: 120px;
    right: 20px;
    top: 40px;
    background-color: rgba(0,0,0,0.6);
    /*opacity: 0.5;*/
    box-shadow: 0 0 10px black;
    border-radius: 2px;
}


#nav {
    text-align: right;
    right: 0;
    top: 0;
}

#navshadow, #nav {
    z-index: 10;
}

#nav ul {
    padding: 15px;
    list-style-type: none;
}


#nav li {
    padding: 5px;
    color: #aaa;
    font-size: 19px;
}

#nav a {
    font-size: 18px;
    color: white;
    text-decoration: none;
}

#nav a:hover, #nav a:active {
    color: #AEB3B7;
}

.activelink {
    color: #AEB3B7 !important;
}

#navphoto {
    max-width: 400px;
    min-height: 300px;
    width: 100%;
    height: 150%;
    /*background-color: #111;*/
}

#footer {
    text-align: center;
    /*position: absolute;*/
    height: 40px;
    width: 100%;
    /*background-color: #111;*/
    bottom: 0;
    color: #888;
    border-radius: 2px;
}

#footer p {
    padding: 10px;
}

.audio audio {
    padding: 20px;
}

.gallery img {
    margin: 10px;
    display: none;
    float: left;
    border: 5px solid #222;
    height: 35%;
}

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    text-align: center;
    z-index: 11;

}

#overlay img {
    margin-right: auto;
    margin-left: auto;
    margin-top: 5%;
    max-height: 80%;
    max-width: 100%;
    /*border: 5px solid #333;*/
    box-shadow: 0 0 20px #000;
    border-radius: 2px;

}

#overlay p {
    color: white;
}

@media (max-width: 800px) {
    #pagetitle h1 {
        top: 65px;
        font-size: 50px;
    }
}

/* Mobile Version */
@media (max-width: 800px) {
    html, body {
        background-image: none;
        background-color: #000;
        height: 100%;
    }

    body h2 {
        font-size: 24px;
    }

    .centered {
        text-align: center;
    }

    #shadow {
        background-color: #000;
    }


    #container {
        margin: 0;
        width: 100%;
        min-width: 300px;
        min-height: 100%;
        box-shadow: none;
    }

    #header {
        height: 72px;
    }

    #header h1 {
        font-size: 36px;
        font-weight: 100;
        padding-top: 10px;
        padding-left: 10px;
    }

    #header h2 {
        display: none;
    }

    #pagetitle {
        position: absolute;
        top: 0;
        right: 10px;
        font-size: 80px;
        color: #1565C0;
    }

    #navcontainer {
        width: 100%;
        max-width: 800px;
    }

    #nav {
        text-align: center;
        top: -12px;
        left: 0;
        background-color: #333;
        width: 100%;
        height: 90px;
    }

    #nav ul li {
        line-height: 150%;
        display: inline;
        margin-top: 10px;
    }

    #nav li {
        padding: 11px;
    }

    #navphoto {
        display: none;
    }

    #navshadow {
        width: 100%;
        text-align: center;
        top: -12px;
        left: 0;
        background-color: #333;
        height: 90px;
    }

    #footer {
        height: 10px;
        position: absolute;
        top: 85px;
        font-size: 11px;
        background-color: transparent;
        text-align: center;
        color: #444;
        z-index: 10;
        display: none;

    }

    #footer p {
        padding: 0;
    }

    #pagetitle h1 {
        top: 35px;
        z-index: 10;
        font-size: 28px;
    }

    #contenttext {
        padding: 10px;
        position: absolute;
        /*background-color: #111;*/
        left: 0;
        top: 90px;
        width: 90%;
        color: white;
        font-size: 18px;
        line-height: 130%;
        overflow-y: visible;
    }

    #contenttext iframe {
        height: 200px;
        width: 300px;
        padding: 5px;

    }

    #homepagelayout {
        padding: 0;
        position: absolute;
        width: 100%;
        max-height: 675px;
        height: 100%;
        overflow-y: visible;
        top: 90px;
        left: 0;
        color: white;
        font-size: 18px;
        line-height: 130%;
    }

    #scrollshadowbottom {
        display: none !important;
    }

    #scrollshadowtop {
        display: none !important;
    }

    .gallery img {
        height: 100px;
    }
}

@media (max-width: 450px) {
    #nav li {
        padding: 2px;
    }
}

